Ainda não tem acesso? Estude com a gente! Matricule-se
Ainda não tem acesso? Estude com a gente! Matricule-se

Solucionado (ver solução)

Estou com dúvida no curso de Primeiros passos com Java, no exercício 1 do capítulo A linguagem Java.

Depois de instalar o Java, vi na documentação que não é a versão 1.7.0_03, e sim a 1.7.0_51. Outra coisa, quando dou o comando javac -v, dá que "-v" é uma "invalid flag". Não sei se está instalado certo, se não está! Não sei se a configuração nas Variáveis de Ambiente que fiz podem ficar assim, ou não! Sabe, achava que até para essa instalação teria que ter uma vídeo aula. Fico no aguardo de um help.

3 respostas

Alexandre, a tua versão está correta. Para a época da aula, a última versão do Java disponível era a 1.7.0_03, por isso essa diferença. A instalação do Java é ao melhor estilo Next -> Next -> Finish. Por isso não precisa de uma aula específica. Verifica se tu instalou o JDK realmente e não o JRE. Para programar é necessário o JDK, que já contem o JRE.

solução

Alexandre, use o comando javac -version.

Valeu galera. Deu certo.. tinha visto um vídeo falando do comando javac -version. Deus que a versão é a 1.7.0_51. Obrigado Roberto e João. Abs.